org.mariadb.jdbc.internal.common.queryresults

## Class ModifyQueryResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.QueryResult
  - - org.mariadb.jdbc.internal.common.queryresults.ModifyQueryResult

Direct Known Subclasses:
  UpdateResult

    public abstract class ModifyQueryResult
    extends QueryResult

### Constructor Summary

Constructors
Constructor and Description
`ModifyQueryResult()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract long` `getInsertId()`
`abstract String` `getMessage()`
`abstract long` `getUpdateCount()`

### Methods inherited from class org.mariadb.jdbc.internal.common.queryresults.QueryResult

`close, getColumnInformation, getResultSetType, getRows, getWarnings, isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModifyQueryResult

    public ModifyQueryResult()

### Method Detail

#### getUpdateCount

    public abstract long getUpdateCount()

#### getMessage

    public abstract String getMessage()

Specified by:
  `getMessage` in class `QueryResult`

#### getInsertId

    public abstract long getInsertId()